Skip to content

Get all Projects

Request

Returns all projects in Luminovo.

Note: A project is the same as an RfQ (Request for Quotation). Both /projects and /rfqs endpoints are available. The response body currently uses RfQ field names (e.g. id refers to the RfQ/project ID).

Security
BearerAuth
Query
archivedboolean or null
customer_idstring or null, (uuid)
internal_numberstring or null
Headers
Acceptstring(ProjectOverviewAcceptHeader)required

Set this to application/api.luminovo.project-overview-v1+json.

Value:"application/api.luminovo.project-overview-v1+json"
GET
/projects
curl -i -X GET \
  'https://api.luminovo.com/projects?archived=true&customer_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&internal_number=string' \
  -H 'Accept: application/api.luminovo.project-overview-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Get all existing projects.

Bodyapplication/json
itemsArray of objects(types.rfq.overview.v1.SingleRfQOverview)required
Response
{ "items": [ {} ] }